@charset "utf-8";

/* ----------------------
設定
---------------------- */
body {
    max-width: 400px;
}

.title {
    margin: 10%;
    text-align: center;
}

h2 {
    font-size: 1.1rem;
}

.title h2::after {
    content: "";
    display: block;
    width: 25%;
    height: .5px;
    background-color: #777;
    margin: 5px auto;
}

.title h3 {
    font-size: .7rem;
}

/* 予約ボタン設定 */
.booking {
    display: flex;
    margin: 0 6% 13%;
    text-align: center;
}

.bookingBtn {
    margin: 0 auto 25px;
    width: 43%;
    height: auto;
    background-color: #fff;
    border-radius: 20px;
    font-size: .75rem;
    line-height: 3.5;
    border: 1px solid #666;
    text-align: center;
    transition: all 0.3s;
}

.bookingBtn:hover {
    font-weight: bold;
    background-color: #C3D5C7;
    border: 1px solid #C3D5C7;
    cursor: pointer;
    opacity: .8;
    transition: all 0.3s;
}

/* フッター設定 */
footer {
    text-align: center;
}





/* ----------------------
 ヘアスタイル詳細ページ設定
---------------------- */
.style {
    margin: 0 10% 20%;
    text-align: center;
}

.style img {
    width: 80%;
    height: 30vh;
    object-fit: cover;
    opacity: .8;
    margin-bottom: 10px;
    border-radius: 10px;
}

.style p small {
    font-size: .8rem;
}

.style h4 {
    font-size: .8rem;
    margin: 1% 0;
}

.style p {
    font-size: .8rem;
    line-height: 1.5;
}

.stylistWho {
    margin: 0 10% 20%;
    text-align: center;
}

.stylistWho img {
    width: 60%;
    border-radius: 50%;
    height: 25vh;
    object-fit: cover;
}

.stylistWho p {
    font-size: .9rem;
}


.review h3 {
    font-size: 1rem;
    text-align: center;
}

.review h4 {
    font-size: .7rem;
    text-align: center;
    margin-bottom: 10px;
}

.reviewArea {
    padding: 10px;
    height: 45vh;
    overflow: scroll;
    background-color: #8CAFA4;
    margin-bottom: 50px;
    border-top: 1px solid #8CAFA4;
    border-bottom: 1px solid #8CAFA4;
}

.reviewTxt {
    margin: 5%;
    padding: 10px;
    background-color: #fff;
    font-size: .75rem;
    text-align: justify;
}

.reviewTxt h5 {
    font-size: .9rem;
    font-weight: bold;
}

.reviewTxt h6 {
    font-size: .8rem;
    font-weight: bold;
    text-align: left;
}


.reviewArea::-webkit-scrollbar {
    width: 13px;
    height: auto;
    background-color: #fff;
    border-radius: 10px;
}

.reviewArea::-webkit-scrollbar-thumb {
    background-color: #C3D5C7;
    border-radius: 10px;
}

.reviewArea {
    overflow-x: hidden;
}

/* レビューの★表示設定 */
.review-area .star4-5:before {
    content: '★★★★★';
    font-size: 16px;
    background: linear-gradient(to right, #cda85a 90%, #d9d9d9 91%);
    color: transparent;
    -webkit-background-clip: text;
    background-clip: text;
}

.review-area .star4:before {
    content: '★★★★★';
    font-size: 16px;
    background: linear-gradient(to right, #cda85a 80%, #d9d9d9 81%);
    color: transparent;
    -webkit-background-clip: text;
    background-clip: text;
}




/* モバイル画面時の非表示設定 */
.right_col,
.left_col {
    display: none;
}


/* ----------------------
パソコン画面サイズ設定
---------------------- */
@media (min-width: 401px) {
    body {
        position: relative;
        margin: 0;
        height: 100vh;
    }

    /* 左サイド・右サイド・モバイル画面の横並び設定 */
    .flexAll {
        width: 100vw;
        display: flex;
        justify-content: space-evenly;
        height: 100%;
    }

    /* 左サイド */
    .pc_logo img {
        width: 25%;
        position: fixed;
        top: -10%;
        left: 4%;
    }

    .pc_logo p {
        width: 25%;
        position: fixed;
        bottom: 10%;
        left: 15%;
        font-size: calc(1vw + 1rem);
        line-height: 1.5;
    }

    .left_col {
        display: flex;
        flex-basis: 40%;
        overflow: hidden;
        /* コンテンツがはみ出した場合に隠す */
    }

    .gallerySlick {
        width: 20%;
        /* 左カラムの幅に合わせる */
        height: 35vh;
        /* 高さは適宜調整 */
        object-fit: cover;
        border-radius: 43% 66% 44% 59% / 69% 59% 51% 41%;
        overflow: hidden;
        position: fixed;
        top: 35%;
        left: 10%;
    }

    .gallerySlick img {
        width: 100%;
        /* 横幅をカラムに合わせる */
        height: auto;
        display: block;
        opacity: .9;
        animation-name: rotate1;
        animation-duration: 5s;
        animation-iteration-count: infinite;
        animation-timing-function: linear;
    }

    @keyframes rotate1 {
        0% {
            transform: rotate(0deg);
        }

        30% {
            transform: rotate(-3deg);
        }

        80% {
            transform: rotate(3deg);
        }

        100% {
            transform: rotate(0deg);
        }
    }

    /* モバイル画面 */
    .mobile-container {
        max-width: 400px;
        flex-basis: 30%;
        order: 2;
        background-color: #fff;
        border: 1px solid #8CAFA4;
        z-index: 1000;
    }

    /* 右サイド */
    .right_col {
        display: inline-block;
        flex-basis: 30%;
        order: 3;
        /* ここにナビゲーションスタイルを追加 */
    }

    .pc_footer {
        position: fixed;
        bottom: 10px;
        text-align: center;
    }

    .pc_footer ul {
        font-size: 1.5rem;
        padding: 6%;
        transition: all .5s;
    }

    .nav_main li:hover {
        color: #8CAFA4;
        font-weight: bold;
        transition: all 0.5s;
    }


    /* 予約ボタン設定 */
    .pcBooking {
        padding: 10%;
    }

    .pcBookingBtn {
        margin: 0 auto 25px;
        width: 43%;
        height: auto;
        background-color: #fff;
        border-radius: 20px;
        font-size: .8rem;
        line-height: 3;
        border: 1px solid #666;
        text-align: center;
        transition: all 0.3s;
    }

    .pcBookingBtn:hover {
        font-weight: bold;
        background-color: #C3D5C7;
        border: 1px solid #C3D5C7;
        cursor: pointer;
        opacity: .8;
        transition: all 0.3s;
    }

    .pcBookingBtn:hover {
        font-weight: bold;
        background-color: #C3D5C7;
        border: 1px solid #C3D5C7;
        cursor: pointer;
        opacity: .8;
        transition: all 0.3s;
    }

    .pc_insta {
        width: 33%;
        margin-top: 2%;
        margin: 0 auto;
    }

    .pc_insta ul {
        display: flex;
        justify-content: space-evenly;
        margin: 0;
    }

    .pc_insta ul li {
        width: 20%;
    }

    .pc_copyright {
        font-size: .8rem;
    }

    /* パソコン画面の背景設定 */
    .background {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100vh;
        background-image: url(../img/backimg/01.jpg);
        background-repeat: no-repeat;
        background-size: cover;
        opacity: .6;
        z-index: -1;
    }

    nav {
        display: none;
    }

    /* パソコン画面の表示設定 */
    #toppage,
    #menu,
    #style,
    #stylist,
    #salon {
        display: block;
    }

    /* 余白の調整 */
    .booking {
        margin-bottom: 30%;
    }

    .recruit {
        margin-bottom: 45%;
    }

    .menuMain {
        margin-bottom: 0;
    }

    #gallery {
        margin-bottom: 30%;
    }
}